curl --request GET \
--url https://api.synctera.com/v1/reward_products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/reward_products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/reward_products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reward_products": [
{
"creation_time": "2024-01-15T10:00:00Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b96312",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"name": "Premium Cashback Rewards",
"reward_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
],
"status": "active",
"description": "Cashback rewards for premium checking accounts"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List reward products
Get a paginated list of reward products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
active, inactive Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Case insensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Case insensitive wildcard search for status, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
The id of the tenant containing the resource.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
creation_time:asc, creation_time:desc, name:asc, name:desc Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Was this page helpful?

